%% Přidání umělého aditivního šumu k signálu
% výsledek matice DMO_noise - vytvořena ve složce, použita pro následné
% testování

load('DMO_all_trial.mat');   % soubor dat - 50 průběhů pro každou proměnnou

DMO_noise=DMO_all_trial;

for i=1:12                  % 12 veličin kinematických veličin
    
    pom_L=DMO_noise{i,1};
    pom_R=DMO_noise{i,2};
    
    for j=1:size(pom_L,1)
 
         pom_L(j,:)=pom_L(j,:)+10*randn(1,100);             % přidání aditivního šumu
         pom_R(j,:)=pom_R(j,:)+10*randn(1,100);
         a=randi(100);
         pom_L(j,a)=pom_L(j,a)+40;
         pom_R(j,a)=pom_R(j,a)+40;
    end
    
        DMO_noise{i,1}= pom_L;
        DMO_noise{i,2}=pom_R;
end

% save DMO_noise DMO_noise;
%% vykreslení ukázky ŠUM+ORIGINÁL
figure();
plot(DMO_all_trial{1,1}(1,:),'LineWidth',1.5);hold on;plot(DMO_noise{1,1}(1,:),'r','LineWidth',1.5);
xlabel('% krokového cyklu','FontSize',12);ylabel('Úhel [°]','FontSize',12);title('Hip Flexion/Extension','FontSize',14,'FontWeight','bold');
legend('původní signál','zašuměný signál','FontSize',12);

